SYSTEM REQUIREMENTS

FStormRender is a GPU render. An Nvidia gpu series 4xx or higher is required.
It is recommended to use modern GeForce gpus. Tesla and Quadro gpus don't have any benefits for rendering.
Video driver version 375.70 or higher must be installed.

FStormRender uses CPU for the scene compilation. CPU must support SSE 4.1 instructions.
If you use an old CPU, there is a chance it does not work with FStormRender.

FStormRender works only with Autodesk 3ds Max 2014-2020 at the moment.

It is recommended to try a watermark version before buy.